﻿@model IEnumerable<object>
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
   
    ViewBag.Title = "Junior Develiper";
    List<PMS02.Models.Sending_Request> req = Model.ToList()[0] as List<PMS02.Models.Sending_Request>;
    List<PMS02.Models.Project> pro = Model.ToList()[1] as List<PMS02.Models.Project>;

    var first = Session["First"];
    var last = Session["Last"];
    var mobile = Session["Mobile"];
    var jop = Session["job"];
    var role = Session["Role"];
    var id = Session["id"];
}

@if ((string)Session["Role"] == "Junior Develiper")
{
    <div class="container-fluid text-center">
        <div class="row">

            <div class="col-sm-2 well table-responsive ">
                <div class="well ">
                    <p>Profile Information</p>
                    <img src="" class="img-responsive img-circle" />
                </div>

                <table class="table table-condensed table-hover">
                    <tr>
                        <td class="danger">First Name</td>
                        <td class="success"><strong>@first</strong></td>

                    </tr>
                    <tr>
                        <td class="danger">Last Name </td>
                        <td class="success"><strong>@last</strong></td>
                    </tr>
                    <tr>
                        <td class="danger"> Job Description </td>
                        <td class="success"><strong>@jop</strong></td>
                    </tr>
                    <tr>
                        <td class="danger">Mobile  </td>
                        <td class="success"><strong>@mobile</strong></td>
                    </tr>
                </table>

            </div>
            <div class="col-md-10">

                <div class="row ">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">All  Currents Requests</h3>

                            </div>
                            <div class="panel-body table-responsive ">
                                <table class="table table-condensed table-bordered table-hover ">
                                    <tr class="danger text-capitalize">

                                        <th>
                                            Sent BY
                                        </th>

                                        <th>
                                            Email
                                        </th>

                                        <th>
                                            Accept
                                        </th>

                                        <th>
                                            Reject
                                        </th>



                                    </tr>


                                    @foreach (var item in req)
                                    {
                                        <tr class="success">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.User_Name)
                                            </td>

                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.Email)
                                            </td>


                                            <td>
                                                @using (Html.BeginForm("AcceptORreject", "JD", new { requestid = @item.ID, stat = true }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();


                                                    <button type="submit" value="Accept" class="btn btn-danger btn btn-sm"><span class="glyphicon glyphicon-arrow-right"></span> Accept Request</button>
                                                }

                                            </td>


                                            <td>
                                                @using (Html.BeginForm("AcceptORreject", "JD", new { requestid = @item.ID, stat = false }, FormMethod.Post))
                                                {
                                                    Html.AntiForgeryToken();


                                                    <button type="submit" value="Reject" class="btn btn-danger btn btn-sm"><span class="glyphicon glyphicon-remove-circle"></span> Reject Request</button>
                                                }

                                            </td>

                                        </tr>
                                    }

                                </table>


                            </div>



                        </div>

                    </div>
                </div>


                <div class="row ">
                    <div class="col-sm-12">
                        <div class="panel panel-success" style="max-height:500px ;min-height:500px;overflow-y:scroll">
                            <div class="panel-heading">
                                <h3 class="panel-title">All  Currents and History Projects </h3>

                            </div>
                            <div class="panel-body table-responsive ">
                                <table class="table table-condensed table-bordered table-hover ">
                                    <tr class="danger text-capitalize">

                                        <th>
                                            Customer
                                        </th>
                                        <th>
                                            PM
                                        </th>
                                        <th>
                                            Details
                                        </th>
                                        <th>
                                            Leave
                                        </th>

                                    </tr>


                                    @foreach (var item in pro)
                                    {
                                        <tr class="success">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Post.User.User_Name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.User.User_Name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Post.post_header)
                                            </td>


                                            <td>
                                                @if (item.status.Trim() != "Delivered")
                                                {
                                                    using (Html.BeginForm("Leave", "JD", new { projectId = @item.projectID, userId = id }, FormMethod.Post))
                                                    {
                                                        Html.AntiForgeryToken();

                                                        <button type="submit" value="Leave" class="btn btn-success btn btn-sm"><span class="glyphicon glyphicon-remove"></span>Leave</button>

                                                    }
                                                }
                                                else
                                                {
                                                    <p>Disabled</p>
                                                }


                                            </td>



                                        </tr>
                                    }

                                </table>


                            </div>



                        </div>

                    </div>
                </div>


            </div>
        </div>
    </div>
}
